Subject: FW: Bullets - owe you 10
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Tue, 16 Oct 2001 15:53:35 -0700 (PDT)

Steve
 
I understand from Elspeth that you don't need recruitment related bullets but here are the quick ones that I threw together - sorry if they are off the mark as I caouldn't get a clear understanding of what you wanted.
 
Neil

-----Original Message----- 
From: Davies, Neil 
Sent: Tue 10/16/2001 5:14 PM 
To: Inglis, Elspeth 
Cc: 
Subject: Bullets - owe you 10

1) The Enron Employment Brand
 
Based on our commercial brand - we want people are :

Bold - enough to see the right answers and look for the right questions 
Smart - clever enough to see a new solution, wise enough to judge it's merits 
Innovative - both in quests for new ideas and in creation of new businesses 
Ambitious - people who aspire to success because they know our work has purpose and consequence 
United - we are united internally to reach our goals and with our clients to exceed their expectations

2) Re-active Recruitment

www.enron.com/work@enron <http://www.enron.com/work@enron> - 1 million hits every 6 weeks

15,000 applications per month

candidates create their own personal profiles which they can update

individual jobs are posted and can be applied for

3) Pro-active recruitment

internal team of headhunters trained to find talent 
search and identifying talent in new industries to help us create new markets 
extensive use of employee referrals 
tools such as Monster.com

4) Hire sources

internal headhunters - 20%

agencies - 13%

referrals - 39%

internal - 28%

5) Entry level Programs for growing new talent

Extensive campus presence globally :

Commercial analyst and associate program - commercial talent 

HR analyst and associate program 

Global technology track - IT talent

Tax track - taxation and accounting professional